<template>
  <div class="relative-position row">
    <div class="col-4 ">
      <q-btn to="/catalogue" unelevated flat class="full-width" style="height: 10vh;"><img src="../statics/arrow_back.png"/>&nbsp;Футболка “Death Love”</q-btn>
      <img class="" src="../statics/tshirt1.png" style="margin-top: -10vh; width: 100% " alt="">
    </div>
    <div class="col-1 ">
      <div class=" column items-start">
        <div class="col q-my-xl q-pt-xl">
          <q-btn unelevated flat>
            <img  src="/statics/arrow_up.png" alt="">
          </q-btn>
        </div>
        <div class="col q-mt-xl">
          <q-btn unelevated flat>
            <img src="/statics/arrow_down.png" alt="">
          </q-btn>
        </div>
      </div>
    </div>
    <div class="col-7">
      <div class="q-mt-xl">
        <router-link v-if="product" to="/artist" class="flex items-center">
          <img class="q-my-md q-mr-md" style="height:36px" src="/statics/ava2.png"  alt="">
          <div>
            <div class="q-mb-sm" style="font-size: 14px; line-height: 17px;">Автор</div>
            <div style="font-weight: 600; font-size: 18px; line-height: 22px;">{{ product.art.artist.name }}</div>
          </div>
        </router-link>
      </div>
      <div v-if="product" class="q-mb-lg" style="">
        <h6>{{ product.art.name }}</h6>
        <p style="width: 80%">{{ product.art.description }}</p>
      </div>
      <div class="q-my-md" style="width:40%">
        <q-btn-toggle
          v-model="model"
          spread
          no-caps
          toggle-color="purple"
          color="white"
          text-color="black"
          :options="[
            {label: 'XS', value: 'XS'},
            {label: 'S', value: 'S'},
            {label: 'M', value: 'M'},
            {label: 'L', value: 'L'},
            {label: 'XL', value: 'XL'},
        ]"
        />
      </div>
      <div class="flex " style="width: 40%">
        <q-btn @click="model1--" unelevated flat class="q-mr-md">-</q-btn>
        <q-input
          class=" q-ml-md"
          borderless
          v-model="model1"
          mask="##"
          style="max-width: 50px"
        />
        <q-btn @click="model1++" unelevated flat class="">+</q-btn>
      </div>
      <div class="q-my-md">
        <q-btn unelevated flat style="width: 202px; height: 44px; background: linear-gradient(282.68deg, #8720D9 8.64%, #E10E5A 100%); color: #fff">Добавить в корзину</q-btn>
      </div>
      <div class="q-mt-xl">
        <div class="flex items-center">
          <div>
            <div class="q-mb-sm" style="font-size: 14px; line-height: 17px;">Материал</div>
            <div style="font-weight: 600; font-size: 18px; line-height: 22px;">100% хлопок</div>
            <div style="font-weight: 600; font-size: 18px; line-height: 22px;">Толщина 5мм</div>
          </div>
        </div>
      </div>
      <div class="q-my-xl">
        <div class="q-mb-md" style="font-weight: 600;font-size: 18px;line-height: 22px;">Еще товары с этим принтом</div>
        <div v-if="sameProducts" class="flex">
          <div v-for="el in sameProducts.products" :key="el.uuid" class="q-ma-md" style=" width: 30%">
            <div class="relative-position" style="">
              <div class="product">
                <q-img class="product-img" :src="'../statics/' + sameProducts.slug +  '/' + el.type.slug + '.png'"/>
                <p class="product-name">{{ sameProducts.name }}</p>
              </div>
              <div class="price">
                <p class="price-name">{{ el.price }} &#8381;</p>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="q-my-xl ">
        <div v-if="product" class="q-mb-md" style="font-weight: 600;font-size: 18px;line-height: 22px;">Другие работы {{ product.art.artist.name }}</div>
        <div v-if="artistProducts" class="flex">
          <div v-for="el in artistProducts" :key="el.uuid" class="q-ma-md" style=" width: 30%">
            <div class="relative-position" style="">
              <div class="product">
                <q-img class="product-img" :src="'../statics/' + el.art.slug +  '/' + el.type.slug + '.png'"/>
                <p class="product-name">{{ el.art.name }}</p>
              </div>
              <div class="price">
                <p class="price-name">{{ el.price }} &#8381;</p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapActions, mapGetters } from 'vuex'
export default {
  name: 'product',
  data () {
    return {
      model: 'one',
      product: null,
      model1: 1
    }
  },
  computed: {
    ...mapGetters({
      sameProducts: 'ProductModule/sameProducts',
      artistProducts: 'ProductModule/artistProducts'
    })
  },
  methods: {
    ...mapActions({
      fetchSameProducts: 'ProductModule/fetchSameProducts',
      fetchArtistProducts: 'ProductModule/fetchArtistProducts'
    })
  },
  mounted () {
    this.product = this.$route.params.product
    this.fetchSameProducts(this.product.art.slug)
    this.fetchArtistProducts(this.product.art.artist.id)
  }
}
</script>

<style lang="sass">
  .product
    &-name
      position: absolute
      bottom: 16px
      left: 16px
      margin: 0
      max-width: 75%
      color: #fff
      font-style: normal
      font-weight: 600
      font-size: 18px
      line-height: 22px
    &-img
      z-index: -1000
      &::after
        content: ''
        position: absolute
        z-index: 10
        bottom: 0
        left: 0
        right: 0
        height: 40%
        background: linear-gradient(180deg, rgba(29, 28, 28, 0) 1.56%, #1D1C1C 76.56%)
  .avatar
    position: absolute
    top: 12px
    left: -20px
    display: flex
    align-items: center
    height: 30px
    & .avatar-icon
      height: 100%
      margin-left: 4px
    & .avatar-name
      margin: 0 12px 0 8px
      line-height: 15px
      font-size: 12px
      color: #fff
    &::before
      content: ''
      position: absolute
      z-index: -100
      background-color: black
      width: 100%
      height: 25px
      min-width: 50%
  .price
    position: absolute
    bottom: 16px
    right: -24px
    display: flex
    align-items: center
    height: 44px
    background: linear-gradient(275.35deg, #8720D9 8.64%, #E10E5A 100%)
    &-name
      margin: 12px 16px
      bottom: 5px
      right: -25px
      color: #fff
      font-style: normal
      font-weight: bold
      font-size: 18px
      line-height: 22px
</style>
